# Get hotline list

{% hint style="info" %}
**Note:**

* For APIs used for Shop, the API key is: [`<api_key>`](/api-etelecom-english/api-integration/shop/account.md). The base\_url information of the [Shop](/api-etelecom-english/api-integration/shop/account.md).
* For APIs used for Partner, the API key is: [`<shop_key>`](/api-etelecom-english/api-integration/partner/usage.md#retrieve-the-shop_key-information). The base\_url information of the [Partner](/api-etelecom-english/api-integration/partner/account.md).
  {% endhint %}

{% openapi src="/files/98tvgFAALfk6gcxXW2re" path="$BASE\_URL.ETelecom/GetHotlines" method="post" %}
[Etelecom.swagger.json](https://1712041776-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzzTMjVbVjwTuSbEGC7Ya%2Fuploads%2FWUFJEkkaHbapFqmvlAg4%2FEtelecom.swagger.json?alt=media\&token=3bf6fc05-db9d-47eb-a46e-a57b6619adbb)
{% endopenapi %}

**Request:**

```
curl --location '$BASE_URL.Etelecom/GetHotlines' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API-KEY' \
--data '{
  "paging": {
    "after": "<string>",
    "before": "<string>",
    "limit": "<integer>",
    "sort": "<string>"
  }
}'
```

**Response:**

```
{
  "hotlines": [
    {
      "connection_id": "string",
      "connection_method": "unknown",
      "created_at": "2019-08-24T14:15:22Z",
      "description": "string",
      "hotline": "string",
      "id": "string",
      "is_free_charge": true,
      "name": "string",
      "network": "unknown",
      "owner_id": "string",
      "status": "Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "next": "string",
    "prev": "string",
    "sort": "string"
  }
}
```

**Return data attribute structure:**

| School name | Data type | Describe                                                                                                                                                        |
| ----------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | string    | ID hotline                                                                                                                                                      |
| name        | string    | Hotline name                                                                                                                                                    |
| hotline     | string    | Hotline number                                                                                                                                                  |
| network     | string    | Network                                                                                                                                                         |
| created\_at | string    | Extension creation date                                                                                                                                         |
| update\_at  | string    | Last updated time                                                                                                                                               |
| status      | string    | <p>Status</p><p><strong><code>Z</code></strong>: Newly created</p><p><strong><code>P</code></strong>: Enable</p><p><strong><code>N</code></strong>: Disable</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/vpbx/pbx-rest-apis/get-hotline-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
